Bug 9733 - tcsh loses history due to missing $LINGUAS
tcsh loses history due to missing $LINGUAS
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-02-24 00:58 EST by Derek Spears
Modified: 2014-03-16 22:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-18 12:01:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Derek Spears 2000-02-24 00:58:59 EST
IN some instance tcsh will not have history regardless of what history is
set to. Usually happens when there is some type of error when sourcing
glaobel rc scripts (why is this? csh doesn't have this issue.) In this
case, /etc/profile.d/lang.csh has han unset env variable $LINGUAS in
certain cases (i have had it happen in text console mode or when logged in
as root. Not when GNOME was running as a user.) Default accounts started
with bash shells and were then chsh'ed to /bin/tcsh.

Can the unset LINGUAS variable be fixed and more importantly, why does tcsh
give up on history if it runs into an error parsong rc files?
Comment 1 Miloslav Trmač 2004-08-18 06:58:50 EDT
As far as I can see, ~/.history is not read when an error occurs in
rc scripts in both csh and tcsh, please provide specifics steps
to reproduce if you see a difference.

The rationale for this is (besides "legacy behavior") that you
could be changing $histfile in your rc scripts, so reading ~/.history
might not be what you want.

Unsetting $LINGUAS in /etc/profile.d/lang.csh seems wrong:
(info gettext) describes LINGUAS as a maximal set of languages
for which translations are installed; unsettting LINGUAS if
$LINGUAS == $LANG is unexpected; the same thing happens in

Reassigning to initscripts for the LINGUAS issue.
Comment 2 Bill Nottingham 2004-08-18 12:01:40 EDT
Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.